aboutsummaryrefslogtreecommitdiffstats
path: root/www-apache
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander@sulfrian.net>2010-01-06 21:45:24 +0100
committerAlexander Sulfrian <alexander@sulfrian.net>2010-01-06 21:51:04 +0100
commit0d077b6b8fdd152e12407e72cbab6b1d612fa725 (patch)
treefc92324473ed181d159529d50e44b3a9a9990cd5 /www-apache
downloadoverlay-0d077b6b8fdd152e12407e72cbab6b1d612fa725.tar.gz
overlay-0d077b6b8fdd152e12407e72cbab6b1d612fa725.tar.xz
overlay-0d077b6b8fdd152e12407e72cbab6b1d612fa725.zip
initial commit
initial commit with ebuild for h264 streaming plugin for apache
Diffstat (limited to 'www-apache')
-rw-r--r--www-apache/mod_h264_streaming/Manifest3
-rw-r--r--www-apache/mod_h264_streaming/files/99_mod_h264_streaming.conf9
-rw-r--r--www-apache/mod_h264_streaming/mod_h264_streaming-2.2.5.ebuild31
3 files changed, 43 insertions, 0 deletions
diff --git a/www-apache/mod_h264_streaming/Manifest b/www-apache/mod_h264_streaming/Manifest
new file mode 100644
index 0000000..f34b118
--- /dev/null
+++ b/www-apache/mod_h264_streaming/Manifest
@@ -0,0 +1,3 @@
+AUX 99_mod_h264_streaming.conf 248 RMD160 7ae30b63d6292496cc8f3bb790942e93dfd62624 SHA1 6e9a95a446f0df21db6cfa495f4032418917a9f6 SHA256 87a1e10118b14fc742c969d42d6cc813aa33daf90206cf063ee10168e0c43fd5
+DIST apache_mod_h264_streaming-2.2.5.tar.gz 316384 RMD160 9a878432b305a0a7293ef20f355d5087f92dcbb4 SHA1 e8e81fed2117a3286b3ca382f34118efee5a5c0c SHA256 21e91d7d5a8bd54e48c0863d49cd30b5a62f05b61254f2a88b8c836b63b2730d
+EBUILD mod_h264_streaming-2.2.5.ebuild 702 RMD160 6b74f5ad3c822a2bd3d8e1d3482ec9bfdbefabf8 SHA1 042c27490ddb8f596c3acd57b79a2c883671509e SHA256 d326cfc607801cf266979e16a61e88800a005e008029d0f3b8cead5e23dfcd54
diff --git a/www-apache/mod_h264_streaming/files/99_mod_h264_streaming.conf b/www-apache/mod_h264_streaming/files/99_mod_h264_streaming.conf
new file mode 100644
index 0000000..47d1fd8
--- /dev/null
+++ b/www-apache/mod_h264_streaming/files/99_mod_h264_streaming.conf
@@ -0,0 +1,9 @@
+<IfDefine H246_STREAMING>
+ LoadModule h264_streaming_module /usr/lib/apache2/modules/mod_h264_streaming.so
+
+ <FilesMatch "\.mp4$">
+ SetHandler h264-streaming.extensions
+ </FilesMatch>
+</IfDefine>
+
+# vim: ts=4 filetype=apache
diff --git a/www-apache/mod_h264_streaming/mod_h264_streaming-2.2.5.ebuild b/www-apache/mod_h264_streaming/mod_h264_streaming-2.2.5.ebuild
new file mode 100644
index 0000000..89ea04a
--- /dev/null
+++ b/www-apache/mod_h264_streaming/mod_h264_streaming-2.2.5.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header$
+
+inherit apache-module
+
+DESCRIPTION="h264 streaming module plugin for apache to be able to timeshift a h264 movie during streaming"
+HOMEPAGE="http://h264.code-shop.com/"
+SRC_URI="http://h264.code-shop.com/download/apache_${P}.tar.gz"
+
+LICENSE="by-nc-sa-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+APACHE2_MOD_CONF="99_${PN}"
+APACHE2_MOD_DEFINE="H264_STREAMING"
+
+need_apache2
+
+src_compile() {
+ if [ -x ./configure ]; then
+ econf
+ fi
+ if [ -f Makefile ] || [ -f GNUmakefile ] || [ -f makefile ]; then
+ emake || die "emake failed"
+ fi
+}